/******************************************************************
*   21 days: a game for programmers
*   Copyright (C) 2014 Maxim Grishin
*
*   This program is free software; you can redistribute it and/or
*   modify it under the terms of the GNU General Public License
*   as published by the Free Software Foundation; either version 2
*   of the License, or (at your option) any later version.
*
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
*   MA  02110-1301, USA.
*******************************************************************/

#ifndef H_STRINGS
#define H_STRINGS

/*************************************************************************
*	Messages from friends
*************************************************************************/

const unsigned int levelYesAnswerNumber = 10;
const char* levelYesAnswer[levelYesAnswerNumber] = {
    "륧!",
    ", ᥩ 㤠񭭮 ᤥ.",
    "뢠 .",
    " .",
    "  祭쪨 ?  !",
    "筮!",
    " ⥡ -   ६",
    "  ࠧ ᢮.",
    "   ᤥ.",
    " ஡."
    };

const unsigned int levelNoAnswerNumber = 10;
const char* levelNoAnswer[levelNoAnswerNumber] = {
    ", ᥣ  ᬮ.",
    ",  .",
    "  ࠡ 뫠, - १ .",
    "-  㣮 ࠧ.",
    "  ।  .",
    " ⠪  㬥.",
    " 訡 ஬ :D",
    "  ?",
    " , .",
    "."
    };


const unsigned int level1TasksNumber = 6;
const char* level1Task [level1TasksNumber] = {
    "ਢ!  ᬮ  ? ,    ࠡ⠥ %s.",
    "   ⥡ .    %s 嫨, ⠭ ?",
    "!  ⠫!  ࠡ⠥ %s. ?",
    "蠩,   㣠  ࠡ⠥ %s,  ,  .  ᢮?",
    "࠭,  ᪠ %s,  ९஡ - 祣  .",
    "!      ஫, ⥯ %s  ࠡ⠥.     祭쪨."
    };
    
const unsigned int level1TaskWordNumber = 11;
const char* level1TaskWords[level1TaskWordNumber] = {
    "㤨",
    " ⠭",
    "㧥",
    "",
    "⪨ ",
    "",
    "",
    "",
    "",
    " 譨",
    "஥"
    };

const unsigned short programmingTaskNumber = 5;
const char* programmingTasks[programmingTaskNumber] = {
    "ਢ!       Pascal,  ,   . ?",
    " 㭨 ਫ  ﬨ  Basic, ᤥ?",
    "㦭 ⢮ ,  ᤠ   Turbo Pascal,    ,  . 砩!",
    "  ࠡ ... ,  ᬮ५,  ⠬    QBASIC,    㬥. ᮢ ?",
    "蠫,    Pascal?     ஥⮢ ᠭ,  ⢥⢥ 祫 .  -   ᮢ."
    };

const unsigned short webProgrammingTaskNumber = 4;
const char* webProgrammingTasks[webProgrammingTaskNumber] = {
    "ਢ,  ᠩ⠬-⪠ ?  .",
    "蠩, 襩  㦥 ᠩ  񢪥.  ࠭  ଠ樥  .     ⥡, ?",
    " 襩 .   襪  㦭,  ⥡ ४. ,  ᢮.",
    ",   让 ᠩ-⠫ 襬,  筮 㦥    . ?",
    };

const unsigned short systemProgrammingTaskNumber = 3;
const char* systemProgrammingTask[systemProgrammingTaskNumber] = {
    "蠫  Arduino?    ᬥ 襬,   .",
    " ᪠,   ᬥ ?  ਫ 饬, ࠡ  ப஫ࠬ, 㬠, ⥡ ࠢ.",
    "     KolibriOS  ,     . ?"
    };

const unsigned short adminTasksNumber = 4;
const char* adminTasks[adminTasksNumber] = {
    "ࢥ  , ࠨ . ⨬ ! १.",
    "  Apache + nginx ᬮ ⠢  ந?  訢, 祬 :).",
    " ,  設 ਢ  Windows Server 2003,    ,  . 砩!",
    ",   ய KDE2  FreeBSD?"
    };

const unsigned short mobileTaskNumber = 3;
const char* mobileTasks[mobileTaskNumber] = {
    "  ࠧࠡ  Swift த,    ?",
    "⨬  쭮 ਫ  Java, , ᥩ  .  㬥?",
    "   C++   ⨢ ਫ  Android ,  쬥?"
    };

/*************************************************************************
*	Courses
*************************************************************************/

const unsigned int coursesNumber = 8;
const char* courses[coursesNumber] = {
    "⢮",
    " ணࠬ஢",
    "த⮥ ணࠬ஢:",
    "ࠡ⪠  ਫ",
    "᭮ ",
    " ᠩ⮢",
    "⥬ ணࠬ஢",
    "஢ ࢥ஢",
    };
bool coursesUnlocked[coursesNumber] = {1, 0, 0, 0, 0, 0, 0, 0};
const unsigned short advancedProgrammingCourses = 5;
char* advProgCourses[advancedProgrammingCourses] = {
    "C++",
    "Java",
    "Assembler",
    "C#",
    "Delphi"
    };

bool 		coursesFinished[coursesNumber] = {1, 0, 0, 0, 0, 0, 0, 0};
bool 		advProgCoursesFinished[advancedProgrammingCourses] = {0, 0, 0, 0, 0};
unsigned int 	learningTime[coursesNumber] = {0, 10, 80, 30, 45, 35, 45, 50}; // in days
unsigned int 	advProgLearningTime[advancedProgrammingCourses] = { 10, 10, 15, 10, 10}; // in days
int 		learningCost[coursesNumber] = {0, 100, 125, 100, 125, 120, 130, 120};
int 		advProgLearningCost[advancedProgrammingCourses] = {125, 120, 150, 123, 100};

unsigned short 	finishedCoursesCount = 1;

/*************************************************************************
*	Probability of getting a message from friend related to course 0,
*	1, 2, etc. (courses). Prob. of getting a simple work is higher 
*	than getting a hard one.
*************************************************************************/
double probability[coursesNumber] = { 0.7, 0.5, 0.25, 0.6, 0.25, 0.4, 0.3, 0.4};

int taskReward[coursesNumber] = {2, 5, 10, 13, 19, 25, 30, 35};
int taskCount[coursesNumber] = {level1TasksNumber, programmingTaskNumber, 
	programmingTaskNumber, mobileTaskNumber, mobileTaskNumber,
	webProgrammingTaskNumber, systemProgrammingTaskNumber, adminTasksNumber};

/*************************************************************************
*	News
*************************************************************************/

const unsigned short newsCount = 4;
const char* news[newsCount] = {
    "ணࠬ஢ 稭 墠뢠 ! ॥ 筨  ணࠬ஢!\n",
    " ଠ樨  hh.ru ᪮    Java - ணࠬ⮢\n",
    "⭮! -  ࠭᪮ ࠧࠡ稪 Frappy Perd   ४  ਭ᫠  $50 000    ! ୮,  ᥩ   ᢮  .\n",
    "筮, ᥩ 梥 -. । ᯥ譠 ,   ࠧ  Unnamed Studio,  ࢮ   ⮯ .   㦥  䠭⮢  ,   室  㬠!\n"
	};
bool newsShowed[newsCount] = {0, 0, 0, 0};

/*************************************************************************
*	Special letters
*************************************************************************/

const unsigned short specialLetterCount = 30;
const char* specialLetters[specialLetterCount] = {
    "ਢ.    ⮩ ஥  C++  Java,   , ᤥ?",
    "  ⠪?    ᮢᥬ  ࠫ.   ! -  C++,    Java.",
    " 蠫,  ணࠬ஢  Assembler ?  㯥᫮ ப஫  ,   . 쬥?",
    "   뢠 믮 ࠡ⮩?   ⨫⭨   Assembler  , 祬 ! 㯨   Asm,  .",
    "ਢ!     㯨, 㦭     C# .  ᠬ   - 祭 ᫮ ஥. ?",
    ",   ᮢᥬ, 뢠, ணࠬ஢  㬥. ன  ᮢ -,  .",
    "쬮   'Botsmann'<corp@botsmann.com>\n ࠢ!  ᮢ⮢ ,  ᯥ樠   ணࠬ஢.   ࠧࠡ⪮  ਫ,  ᥩ  뭮   ''.  墠 뭪  㦭    ஢ ᯥ樠.  ।  ࠡ   $800  . 㬠,  殮   .",
    "쬮   ''<astra@botsmann.com>\n  !  -  ࠧࠡ稪  ਫ,        ⨬  !  饬 ⠫⫨ ࠧࠡ稪  । $1000  .  㦥 ⢮  ⢥,   ?",
    "쬮   'Botsmann'<corp@botsmann.com>\n  ᮦ,   ࠢ  .   HR-ᯥ樠 ࠢ  쬮    ७⮢.   㦭 , ⮢     - $200.",
    "쬮   'Botsmann'<corp@botsmann.com>\n ࠢ! ,   HR-ᯥ樠 ࠢ  쬮    ७⮢  ⢥ ஢ન.  訫,    室! ᫨    ᠫ   ,   稬.", 
    ", ਢ!  -     Unnamed Studio   祭  ,  ⠪ ᮧ .   ⢮ ࠡ,  ॠ쭮 !  ⫨稥  㯭     ஫   ⥩  ᠬॠ樨.   ⠫,  㦥 ᪨㫨.  ⥡     㤥, ⠢  -.      㤥 , ୮?    ।. , ᫨ ᮣᥭ. ",
/*11*/   "쬮   'Botsmann'<corp@botsmann.com>\n 蠩,  ௥   ६,  ᥬ  ।.  ⢫  ᭮ ࠡ  ਫ  ࠡ.  ।,  ⥡     ᠩ  ਫ.    ⢥. \n筮  ࠡ?     $1200   ⥡  ⥫ . , த ࠡ?",
    "쬮   'Botsmann'<corp@botsmann.com>\n  ⥡ ।०: 業  ࠡ! 㬠,   㧭  ⢮ ࠡ⪥?!  㢮!",
    " ࠤ,   ᮥ  , ⥯  童  Unnamed Studio!  ࠡ  ࠧ   ॥!    ,    ᮢ. ",
    " ࠡ  !     ᫮,  ॡ  Unnamed Studio ⠪ 㬠! ...,    ஡.  ன ணࠬ ய    䮭,  ५   墠 ⥯ :(.  ᮡࠥ  $%d. ,   ᫥ ࠧ!  !",
    "쬮  Unnamed Studio:\n ! १ 40  ५,    ᠩ    !  砫쭮 -   㬠  ⮬, ⮫쪮 ᥩ 㧭,   -   ४. ",
    "쬮  Unnamed Studio:\n ? ८業 ᥡ?  ਫ, ᯥ ᤥ ᠩ ६! - ⥡  諮  ,      1000 ࠧ !  ⢮ $1000  饣 室  㡨ࠩ!",
    "쬮  Unnamed Studio:\n 㢠,  ᬮ५ ?   ?!    墠뢠,  稥 ஦!  ᯥ!  ᫠!    ⮫ 룠! ॢ ⥡ $200 000 - ⢮ .  ஥ ,    ᪠!  ⥡  ⤮.  .",
    "筮?    㬠!  ࠡ ᨤ  ࠡ뢠 죨,  ⥡  襭. ᫨ 㦭 죨 - த ࠡ,   㦥 祣 ᭮  㤥.   ⠪, 筮,  ࠡ⠥,      릪  ६ .",
    "筮, ? 筮,  ᠬ  ।  ࠡ  ⪠,   㦥  㤥. , ॠ筮?    ᥬ   । ࠡ. , 㤥 ॡ    ⠭  .  ᮢ  ⮦  㤥, 祬  ⥡, ᫨  ࠢ  ⮫쪮 . , 뫮  , ᫨   뫮  ⬮    ᤥ 㣮 롮!",
    "쬮   'Botsmann'<corp@botsmann.com>\n ࠢ.  ४஢ 訫   ।  ⥫쭮 祭  ࠡ⭨.  ᮪頥 室  ஢   㤭. 訫 ꥤ    .  ,  ᥩ 㪢쭮   .  饬, 襭,  '襥'  㤥 ।  '襬'.  㦥 ᯥ ४ ᥡ   㤭, ⠪  ⥡ 砥 ⢮ Junior'  ⢥     .  ᯫ⭮, 筮.   5 ࠢ ⢥⮢  塞 ६.  ᫨  5 ࠢ,  ⠥,  ஢   ,  ⮣  ᢮.   ⥡  ᮬ,    ⥡ ᪠   襭. - ,   ࠢ!",
    "쬮   'Botsmann'<corp@botsmann.com>\n   頫, ⢮ ६  ࠢ ⢥: $400",
    "쬮   'Botsmann'<corp@botsmann.com>\n    ஢ .     ⠪,   ⥡  ᮬ!  , 뢠,    ࠡ ᨦ.     ࠢ,  㢮  ⥡ 易.  .",
    "쬮   'Botsmann'<corp@botsmann.com>\n    㬠,  ࠭ 楤 ஢ન  ⬥: Junior' ᮢᥬ , ᠬ 祬   , ⮫쪮 訢  .   㤭  ᮢ  룮.  饬, ⥯  ᯮ ࠡ,  ⥡ ⢫  㤥.",
    "蠩,      !  ਫ ,    %d  稫 ⮬!  ⥡ ᪮쪮 ᮢ  ⪠? ন ᢮ $%d, 㦨.",
    "쬮  Andrew Johnson <andrew@botsmann.com>\n , 㢠,   ᥤ ⤥.   ⮦ ࠨ ஢   ࠢ쭮 ,   ਫ  ஭. , , ⢮ ⥫䮭  誥,  ⠬    ⠭ 쬠. 뫮     ,     㬠,     ন ⠪  㣨 稪.",
/*un2 var1*/ " ,  ,  㦥...  , ⮬   ⮫쪮 ᮢ⮬: 뫮   ன -   ᭮ .",
/*un2 var2*/ "?  㬥?     ⮡ ! , ⮣  ,  .   㤥 ࠭稢 ⢮ 䠭⠧.",
/*un4 var1*/ " 訫 ᪨  $%d  -,    ண .",
/*un4 var2*/ " ⥡ ࠧ ,   ⮫ ᯥ樠. 㬠, ᮧ ᠩ⮢  ⥡ - 騩 ."
	};

bool unnamedStudioLettersSent[3] = {0,0,0,};

bool  knowledgeLetterSent = false;
short nextKnowledgeLetterIndex = 0;
short klowledgeCorrectAnswers = 0;
short klowledgeUncorrectAnswers = 0;
const unsigned short knowledgeQuestionsCount = 10*3;
const char* knowledgeCheck[knowledgeQuestionsCount] = {
    "   箪,   ணࠬ஢ , C++  Delphi?", "   ⠢ ", "筮 C++,  Delphi 㦥   ",
    "    ணࠬ⮢ ᪠,  ⪠  UDP  諠...    ?", "UDP -  ⮪,  ࠭騩 ⠢ ⮢.", "UDP -  ⮪, ࠭騩 ⠢ ,  ⮬  ⪠.",
    "  , ᠩ  C++ ,         窮?", " ਭ樯,  ,   몥 ஢ HTML-࠭.", ",  ਪ.    PHP, Python, ASP.Net  㣨",
    "  ᯮਫ,  ,   ᯮ짮 JavaScipt ᠩ ,    Java. Java -   ਫ. ୮?", " நࠫ.", " ,   ਫ  ⢮ ந  Java ᠭ .",
    "  ४ ᪠,    ࠡ  襩  ࠡ뢠  opensource-஥.  ?",",    ⭮ প.", ", !. Opensource-஥  ᯫ.",
    "ॡ   ஥  iOS.   ,  祬 ࠧ  #include  #import?", "#import ࠭,  䠩 㤥   ࠧ,  ⫨稥  #include", " ⠥, #include ᯮ    C,   'import' -  ᥬ ⠢.",
    "  ஥  Ruby on Rails. 蠫,   㥬  ᮪஢,  ⠪?","...      ,  ३.", ",  㥬 ,   㥬.",
    " ⥯    Linux,   ⠢  NTFS-ࠧ?  live cd  ।.", ",    㧨  ᬮ.", " ਭ樯, ,  㦭  , ⠢ ⥫ ⨫...  ⥡ ?",
    "    ७⮢, ᪠,    १ PHP    eval(). । ࠡ,  ⪠. ࠢ쭮 ᤥ? ", "ࠢ,  뫠  '⠪'.", "ࠢ쭮,  ⮬   祣 饣 ",
    "宦  㤠 ࢥ, 㦭 㧭, ᪮쪮 ப  䠩 log.txt.  ⠬,  , Linux  ⮫쪮 ᮫... ?", "wc -l log.txt", "ls -l log.txt"
    };
    
/*************************************************************************
*	Tips for users when waiting for an input
*************************************************************************/

const char* ae_advanced_courses = "  ?  ⮣, ⮡    'த' ᮢ,   'a'-'e'";
const char* bottomLineCourses = "[C]    ";
const char* bottomLineMsgAchieves = "饭[M]    ⨦[A]    릮  諮[U]    ";
const char* bottomLineSpeedAndExit = "[S]    [Esc]\n";
const char* changeSpeedButtons = "[+][-] ਭ[Y]";
const char* enter  = " [Enter]  த...";
const char* escToBreakReading = ", ࢠ ⥭ [Esc]";
const char* number_or_enter = "    [Enter] ⮡ ";
const char* one_or_two = "ਠ ⢥⮢: [1]  [2]";
const char* one_two_or_three = "ਠ ⢥⮢: [1], [2]  [3]";
const char* pressF = " [F]  த...";
const char* pressP = " [P]  த...";
const char* yesNoDialog = "[Y]    [N]";


/*************************************************************************
*	Windows' title
*************************************************************************/

const char* achievementsTitle = "⨦";
const char* breaking_news = "஢ ";
const char* changeSpeedTitle = " ";
const char* coursesTitle = "";
const char* courseAlreadyPassed = " 㦥 ன!";
const char* finalCard = "";
const char* gameOverTitle = " நࠫ!";
const char* introTitle = "㯫";
const char* new_letter = " 쬮";
const char* newAchievement = " ⨦!";
const char* notEnoughMoney = "  筮 । :(";
const char* playerStatsTitle = "⨪ ப\n\n\n";
const char* unread_message = "⠭ ᮮ饭";

/*************************************************************************
*	Windows' text
*************************************************************************/

const char* coursesFinishedText = "\nᮢ ன: %d/%d\n \n";
const char* finalCardsUnlockedText = "\n殢 : %d/%d\n";
const char* gameName = "21 days";
const char* gameOverText = "\n<c>  ⢥ ᯮᮡ ந,   諨 !\n<c>   ,  ९ ⠪ ,       । ࠡ.\n\n<c>!\n";
const char* helpDesker = "騪";
const char* mainMenuText = "\n\n<c>1. \n\n<c>2.室\n";
const char* noCurrentCurses = "\t 祬  砥...\n";
const char* playerStatsEnd = "\n\n<c>   ਭ⮬ ⨪  ﬨ!\n\n<c> [Esc]  室.\n";
const char* playerStatus = " : ";
const char* pseudoEqual = "";
const char* selectCourseText = "롥   ᫥ ⥣਩, ன   ⥫ :\n";
const char* startupper = "⠯";
const char* takeCourseCost = ", ன : $%d\n";
const char* takingThisCourse = "\t ᥩ 砥 ⮬ ..\n";
const char* worker = "㤮஥";

const char* days21 =
"\n<c>  .oooo.     .o           .o8                                 \n"
"<c>.dP\"\"Y88b  o888          \"888                                 \n"
"<c>      ]8P'  888      .oooo888   .oooo.   oooo    ooo  .oooo.o \n"
"<c>    .d8P'   888     d88' `888  `P  )88b   `88.  .8'  d88(  \"8 \n"
"<c>  .dP'      888     888   888   .oP\"888    `88..8'   `\"Y88b.  \n"
"<c>.oP     .o  888     888   888  d8(  888     `888'    o.  )88b \n"
"<c>8888888888 o888o    `Y8bod88P\" `Y888\"\"8o     .8'     8\"\"888P' \n"
"<c>                                         .o..P'               \n"
"<c>                                         `Y8P'                \n";

const char* youWin = 
"\n<c>.___________. __    __   _______     _______ .__   __.  _______  \n"
"<c>|           ||  |  |  | |   ____|   |   ____||  \\ |  | |       \\ \n"
"<c>`---|  |----`|  |__|  | |  |__      |  |__   |   \\|  | |  .--.  |\n"
"<c>    |  |     |   __   | |   __|     |   __|  |  . `  | |  |  |  |\n"
"<c>    |  |     |  |  |  | |  |____    |  |____ |  |\\   | |  '--'  |\n"
"<c>    |__|     |__|  |__| |_______|   |_______||__| \\__| |_______/ \n\n\n";

const char* gameOverLogo = 
"<c>  __ _  __ _ _ __ ___   ___    _____   _____ _ __ \n"
"<c> / _` |/ _` | '_ ` _ \\ / _ \\  / _ \\ \\ / / _ \\ '__|\n"
"<c>| (_| | (_| | | | | | |  __/ | (_) \\ V /  __/ |   \n"
"<c> \\__, |\\__,_|_| |_| |_|\\___|  \\___/ \\_/ \\___|_|   \n"
"<c> |___/                                            \n\n";

const char* playerStats[9] = {
	"<c> 뫠  ன  릪  ६  %d ",
	"<c>祭 ,  ஢   宦 : %d\n",
	"<c>⠭ ᮮ饭: %d\n",
	"<c>  ࠧ  ஬: %d ",
	"<c> : %d ",
	"<c> ࠡ⠭: $%d\n",
	"<c> 祭: $%d\n",
	"<c>   ⢮⥫쭮: $%d\n",
	"<c>襭 릪  ६: %d\n"};

/*const char* gameIntro = "\n     ࠠ!  ᯥ譮 祭  㦥  ᪮쪮  뫨  .     ᪠뢠  ஬ ࠤ...  ⮨   ⠪ ୮ ⬥ 砭 㭨.  ,  '᪭ ', 騩 㦥  , 稫.\n      ⠬    宫쭨? . . ,  .\n\n\
<騬 栬 ࠥ >\n-, ,  ⥡  ?\n- , 㦥  ᯠ!\n-  -,  ᠬ १ .\n- , 筮, ᪠뢠 ! ⮣䨨  ᪨,   ࠡ ਤ.\n-㤠?\n-,   ७쪮 ந. ணࠬ⮬.\n-,     ⮦ ந?\n-...  ,    .\n-   - ந!\n-, 祬   . ஡ ந 㤠-.\n-   祣  㬥!\n-, ᬥ譮    ᪭ ... ,    ᠬ 祣  㬥. ਤ ᠬ ஡.         'C++  21 ', 'Java   '  .., ஡  -, ७쪮   ࠢ १ 㤠-. 쪮    .\n-祬?.\n- - ,   ࠧ. 祬  , ᫨   ᠬ  祣  㬥?\n-?!   ᬮ,  ⠪ 㬭 ࠧ ⠫,  ࠡ .  뫮  廊,  ᥩ  ୨ !\n-  ,  ⥡ !\n\n\
     ! 죨 ,   . ,    㬥 ⠭ -  , - த.  ⮬ 堫   , 祬    21 !     ࠡ⠥  ᢮ ,    ᢮ . ᭮, 誨 ⮢ ᢮稢⥫ ࠭⢠  ६  ࠡ⠥?   ਣ. ,  㦥 ।⠢  ⮣ ਤઠ,    㢨!   ⠭ ⠪   !\n\n";*/
/*const char* gameIntroPlan = "     ஡  ᥬ, 祬 , ⨣ ᥣ,    ⮫쪮 㬠,  ,  ... ࠡ ! , ,  㦥 ᫨誮.  㤥 .  ⮬   ன  ᬮਬ,  祣 .\n\n     ⠪, 楫 ⠢,  ६ !\n   ⠬ ᠫ? C++  21 ? -  誠  ⠪ ,  ᪠.   - 稭  ...  21   筮  ன. \nਤ भ   १ -ன    .  ⮬  誨 ⮢ ᢮稢⥫ ࠭⢠  ६    諮,  21- ,   㬠,    ᥣ  3 .  ⠪   ᤥ!";*/
const char* gameIntroPlan = ":\n\n  9 ⨦\nன 12 ᮢ 祭\n 5 殢:\n    3   易  롮஬ ᢮  (⢮, ࠡ  , ᢮ ⠯)\n    2   易   襣   ⢥ (ଠ / ⢮ )\n\n ஢ ࠭⢮ - ६.  ࠢ  㣨 ࠬ,   ᫥ ஢ ࠭⢮,  室 ᫥ ६.\n\nࠢ ,     諮   㣮: ⮬   ⮢ ᢮稢⥫ ࠭⢠  ६.\n\n᫥ 믮   ୨  砫쭮 窥:  21 . 㬠 襭쪮, ன   ⠪ :   墠 ।.\n\n ⠥ 祭,   㢨  'The End'( 먣ࠫ)  'game over'(நࠫ,  믮 ).";

const char* yourAnswer = "\n\n ⢥:\n\t1:%s\n\t2:%s\n";
const char* shitCodeYourAnswer = "\n\n ⢥:\n\t1:, 筮.\n\t2:,  ⠪  㬥.\n";
const char* statusLine = ": %d, $: %d, ଠ: %d, ᮮ饭: %d";
const char* statusLineCoursesNotFinished = ", ன ᮢ: %d";
const char* unnamedStudio1Answer = ", ன ࠧ ।  㤥.\n\n ⢥:\n\t1:, ॡ,  ᮣᥭ!\n\t2:..  ⠪ ᬥ, ⮡ 뢠 ᫥ 죨.\n";
const char* unnamedStudio3Answer = "\n\n ⢥:\n\t1:,   뢠!\n\t2:,  ᪮쪮   죨?\n";
const char* unnamedStudio4Answer = "\n\n ⢥:\n\t1:,   -.\n\t2:,    ᠬ ७쪮   ᤥ  ᠩ, ?\n\t3:,   죨?  諨 !\n";
const char* angryBossAnswer = "\n\n ⢥:\n\t1:,     ਫ.\n\t2:,      .  ᫥  宬 ᢮.\n";

/*************************************************************************
*	Modal windows' text
*************************************************************************/

const char* answerLetter = "⢥⭮ 쬮";
const char* cantStopDuringKnowledgeCheck= ",    ६  । ஢ન . 室 !";
const char* charityTitle = "⢮⥫쭮";
const char* charityQuestion = " ⢨⥫쭮  ⢮     ⢮⥫쭮?";
const char* congratsMsg = "ࠢ塞!";
const char* courseSuccessfullyFinished = " '%s' ᯥ譮 襭!    믮   ࠭ ࠢ.";
const char* daysPerSecond = "஢   ᥪ㭤: %d";
const char* doYouReallyWantToExit = " ⢨⥫쭮  ?";
const char* errorMsg = "訡!";
const char* failMsg = "㤠!";
const char* need100ForUndo = "릪  ६ ண.  室    $100!";
const char* notEnoughMoneyForCharity = " 祣 ⢮  ⢮⥫쭮!";
const char* noUnreadMessages = " ⠭ ᮮ饭!";
const char* prepareForTimeJump = " 㤥 ந 릮  諮, ਣ⮢!";
const char* pressRForCharity = ",  筮 ।,    죨  ⢮⥫쭮!";
const char* returnToDay21 = " 稫 ᥬ,   ᥣ,  ⥫.     諮  21- , ⮡  ⠢ 楫. 㬠 襭쪮, ன  ᤥ  ⠪ .";
const char* rightAnswer = "ࠢ ⢥!";
const char* startupFailedTip = "  ⠯ :(.    諮   ࠢ.  祣 ᭮ 㦥  㤥,  㯨.";
const char* successfullyEnrolled = " ᯥ譮 ᠭ   '%s'!";
const char* wrongAnswer = " ⢥ :(";

/*************************************************************************
*	Achievements
*************************************************************************/

const unsigned int achievesNumber = 9;
char* achieves[achievesNumber] = {
    " ணࠬ஢: 믮  㯥-᫮ ஥.",
    "⢥থ:  ଠ ⨫  !",
    "ᯥ ⠯:  ਡ ⠯.",
    ":  $1000 000.",
    "ᥤ: ᫥  宬 ᢮.",
    " ⢮ : ஬ ⨦ ࠡ  ⠯   .",
    "騩 ᢮ : ᯥ譮 ன ஢ .",
    "⮩稢  ௥: 筮 ࠡ  ࠥ.",
    "⢥  ६: ᮢ 릪,  ᯠ  ."
    };

bool achievesPicked[achievesNumber] = {0, 0, 0, 0, 0, 0, 0, 0, 0};
bool achievesShowed[achievesNumber] = {0, 0, 0, 0, 0, 0, 0, 0, 0};

/*************************************************************************
*	Final cards
*************************************************************************/

const char* defaultFinalCard = " 饬,  . , 筮,  த  ,   ᮡ \
ᮡ⨩  ।:     㤥 ⠭    ॣॢ訥 . ! \
,  ⠪ ࠧ  -  ࠢ:  ⢥⢥  ࠡ 쭠.   墠⠥, \
 ୥ ⮦. 祬   ⠯  ࠡ  㯭 ? ,  ᤥ ᢮ 롮.   㦭? \
, ࠢ,   , 室  ⠢ , ⮡  ,   ⠪    \
 ! 쪮 , , ?\n";

const char* workFinalCard = " ᬮ,  ௥. , ࠡ⠥.  ,  砥.    ࠢ \
ࠡ⠥,  ஭   . 죨  㦭?  , 㢮?   ! ,   ⠪ - \
 墠쭮.  ⠪  뢠  - ᨤ ᥡ , ࠡ, ࠡ,  ⮬  १   -\
 ⠭ ࠫ묨 ४ࠬ ,  ன ࠡ.  ⠪  ⥡ ᯥ⨢, 㦨. - \
 ࠢ ⠡쭮   , 祬 ᢮ ⠯,  ࠥ  ᨫ    . \
,  ᢮ ⠯? , ,  뫮 ࠭  㣮 롮!\n";

const char* startupFinalCard = ",  뫮 !   ᪮...  ,   ᠬ . \
  ,   ६, ஥  ⨫   ⠯, 祭  .     ,  쬨! \
  ᪠稢 . , ?    - ,  ⢮ த 㦥 . ,  ⥡ 業. \
⮬      ⠯,     ன   ⮫ ணࠬ⮢  - 㯭 ,  \
⢮    .  ᠬॠ樨   ᫨ -  , ! 筮, ⭨ \
᪠,  ⥡  ,  - , ᪮쪮 㤠 뫮 !  ४᭮ ,   ,  \
ࠫ  - 㣮.   ᤥ ࠢ 롮.  ,  ࠢ쭮 롮.  ࠢ,  㣮.";

const char* zeroKarmaFinalCard = " ⮫쪮 ᯮ⨫ ⭮襭  쬨,          .    .   :(.\n\n ᠬ   :D. ࠩ 묨 ᯮᮡ  , ,   죨, நࠥ.\n";

const char* noMoneyFinalCard = "   , ⮡   ᫥饣   ।  ࠡ.  ਠ - 筨 த ,  ,     .\n\n ᠬ     . ࠩ - ࠡ , ,  ଠ 㤥  ,  நࠥ!\n";

const char* gameOver = " ⨣ ⠢ 楫  ᯥ譮 訫 !   祭 ன,  殢 ,  ᪮쪮 ⨦     ६!  ⠪ ᥣ  21 ! ,   ਮ५, 業,  롮,    - ࠢ.   ࠢ쭮 롮,   㣮.  ,  㤥 ,   .      - 設 ६, ୮?";

/*************************************************************************
*	Hints
*************************************************************************/

const char* hintOfTheMonth = "᪠ :\n";
const int   hintsCount = 12;
const char* hints[hintsCount] = {
    "'ﭭ 筨 室' -   ⮫쪮 樠쭠 ࠡ  ᮡ⢥ ,  ⠪  믮    , ᫨  ४ ᥡ  ᯥ樠    ९.",
    "᫨ ⪠뢠 ᥬ  ⠭   稭 ,  ᪮  ⠭  ᮢᥬ.",
    "   ⭮,   .",
    "   ਫ: ⮡  ஬, 㦭 ᭮ ᪮쪮 ⠯.  ⮫쪮 ,  ᪮쪮 ࠧ.",
    "㣮     ,   ⫨.    ࠡ⠫,   ⨫ 죨,    稫.    稫.",
    " 㣠? ,    㦥 뫨  㣨 ⥩ ? 㬠, ⠩ - ᥣ  ᤥ -   ⨦.",
    "᫨   筠    祣  ந室, ஡ ᪮  . ,    ⥩.",
    "᫨   ᢮ ''.....,  㦥 祣  .  ,  . , ᫨    뫠 設 ६!",
    " , 祬   ? ᯮ,  ,   । ⠪ ,   ⪠.",
    "⢮⥫쭮 - 訩 ᯮᮡ   ,    ࠡ ᪮ ਥ.",
    " 릪  ६ ࠭⢥-६ ⨭   뤥ন  뢠: ⨬  ᭨    ⮩ .",
    "᫥ 宦  ᮢ    ⨦  殢     諮  21- .     ⠪ ,  :   쭮  墠."
    };

const char* getWordEnding(int n, int k) {
    int ld = n % 10; // Last digit
    if (ld == 1)
        return (k == 0)?"\n":"ࠧ\n";
    else if (ld == 2 || ld == 3 || ld == 4)
        return (k == 0)?"\n":"ࠧ\n";
    else
        return (k == 0)?"\n":"ࠧ\n";
    }
    
/*************************************************************************
*	Intro
*************************************************************************/

const char* developer = "Copyright (C) 2014 Maxim Grishin (igevorse)";
const char* introAllowedKeys = " ᭨ - ,    . ਬ, [1]  [Enter]";
const char* introDesktop = " -  ࠡ稩 ⮫";
const char* introFinished = "  䥩ᮬ 襭, 稭 !";
const char* introLetsBegin = "!";
const char* introStatusLine = " ⮡ࠦ  ଠ:\n1.騩 .\n2.⢮  (  ⠭  ,   㦭 ).\n3.ଠ - ⭮襭   . \n4.饭 - ⢮ ⠭ ᮮ饭.\n";

const char* gameIntroTextPart1 = "1. 砩\n\n\
-   ࢨ஢?    ॢ ⮬ 稫? 祬       ⮩ ஭,  ?!  ? ⢥砩!\n- ...\n\
- <࣠   ࠩ 㪠>  ?    ,  ⮩ ,    ९⠫! ? 蠬 嫮,   ਭ?    ᬮ५, ?\n\
<᭮ ࣠  㪠>   ᬮ!     ,   ᯮ⨫  !\n\
 !\n\n\
,   蠣 ࠢ   ᮡ, ࢠ , १   ᮡ   ਦ ᯨ  ⥭.\n    த.\n\
     .  祬  ⠪?\n\
 祬  ਤࠫ  ⮩ , ࠧ   ᤥ ,     ⨫?    ᠬ ᯮ⨫ ! ,  ⠢ ६-  ,   ⭨, ⮬  㬠,   뢠  ᥡ. 筮   뢠 !     㪠  訡, 祬 ࠧ ࠨ ਪ?\n\
ࠢ ਫ, 訥 ?   ?\n\
 楬     㣮,   ⮫쪮 -    樠쭮  訡, ⠪    ⮭    樠!\n\
 ⠪   . \n\
 ⨩ ࠧ    ࠨ ਪ  ⮬ ! 㣠, 㭨, 㪠뢠    .    訫,   -  ? ?     墠⠥ ⮫쪮  室      .   ⮣  蠥?!\n  ᨫ ௥  !\n\
 㧭,  ⠪ 㣠... 㦭  ௥  .    .\n\n\
㦭 室 . ,  ⮬   㢮, 㧭  ந襤襬. . ⮬   -   㫠  । ਤ饣 ...    ᮩ  㬠,  ௥  .\n\n\
    㢨 ᥡ  ઠ, ᥢ襬 ⨢:   뫠 - ࠭ ࠧ 뫪.\n\
,  ࢭ.   ४,   ⠪   ஦  ⮬ ﭭ .\n\
  ᨫ ࢠ   ०   .\n\
 祭!";

const char* gameIntroTextPart2 = "2. \n\n\
 ᦨ ,  ⥡ ,   !   , ᫨  宫쭨    ? , ᨬ  , ᫨  祣  .  ⠪ 㬥,  頣   ⠪ 室.  ᫨  㭨᪮ 頣  뫮 室 ' '   㤥⠬  묨 栬, ࠪ  ,    㣮,  ᥩ   뢠 ⮫쪮  ᥡ.  㭨   뫮 ᮢᥬ -㣮.  ਫ,   멤 訬 ᯥ樠⠬, 稬 ⨦ ࠡ! \n\
 ࢭ 뫪 ᭮ ஡  . !    뢠 ⨦ ࠡ⮩?\n\
  㯯, ᪮쪮  , ⮫쪮  ᬮ ந  訥 , ⮬  ⢨⥫쭮 稫.\n\
 祬  㦥?\n\
  室 ࠡ ﬨ  砬, ⮡ 墠⠫       㭨. ?  ࠧ  ?  ⠪ ࠡ⮩    㭨- । .\n\
   . 㤨⥫쭮,   祬   稫.\n\
  ࠧ ॢ , ,  㦥   ᮢ  祣  .\n\
  ᪮॥   , 祬  ࠡ 樠⮬!   म    ᫮ ᥡ  ,  墮.\n㦭 - .\n\n\
᫨  㬠.   ࠧ뢠  ᫥!\n\
  祣  㬥!\n\
⢥,     砥 -   ᮢ. !    ࠢ   ࠬ,   㧥 -  ࠡ⠥. \n\
, ,      ࠡ⮩.  ⠪, 审.  ⮣  .\n\
㤮 ⮩稢  ,     㣮    ࠡ.  ᦠ  .\n\n\
諮.\n   㬠? , ,  ⮬  ࠡ. \n\
...\n, ᮡ⢥, 祬 ?    㬥?\n...\n\
 -  . ,     㣮 室.       ࠭.\n\
   訩  ⮪  ⮫,  直 嫠, ࠭,  ᠫ ਬ .\n\
, ᫨  ⮫쪮 ⢮,     㤥 墠...  ᫨ ⮬   ... ⠪,  ஡ 㤭  ... ⮣ 砥......  ...\n\
祬   㬠  ⮬ ࠭!\n\
 ᨫ  ࠭  ⮫,  ⪨  ᯨ 㫠.    ⮣!\n\
, 㦭 뫮 ஡ ࠭!\n\n\
  ᬮ ࠡ    . ⫨筠 ᯥ⨢! ,  ᯥ⨢:    祬-  ஬ ⢠,    㤥    㯨 ⨭.  㭨  ⠫ - 樨  ணࠬ஢. ਫ,  ᪮ ⠭ 祭 ॡ.\n\
 ⠬   ?      ,      'C++  21 '.   ਫ  ࢮ .     ⮨ ஭⮩.  ⮣ 楫묨 ﬨ 㦨 ⮫,  ᮢ襭  뫮 ६  .\n\
 ࠧ  ?  21        ᯥ.\n\
 ⠬ 冷?  'Teach Yourself Perl in 21 days'. 祣  ⭮,  ᭮     .   ९⥫,  ⮢  ,   ⤠.   뢠.\n\
   ᬥ譮!\n\
᫨   뫮 ⠪ ,    㦥 ᠫ  C++  Perl,  㦭  ᥣ 21   祭!\n\
  ᭮   ࠧ񭭮 : '...   ९⠫! ? 蠬 嫮,   ਭ?'.\n\
, ⠪      ਤ 祬- .\n\n\
     室, ⮬      21 .  業.\n\
  .";

const char* gameIntroTextPart3 = "3. 室\n\n\
.   - 蠫 ࠧ '   ᢮ ,    冷  ᢮ '.  ⠪   뫨  ,        㪨.  ⮩ -ᢠ  ᤥ  .\n\
㦭    - ஢  모  ⮢ .    ࠧॡ  ,   ।⠢,  ⠬  .\n\n<...>\n\n\
   ஡?    ⠪. , ᮡ⢥,    ,  室  ⠫ ᫥ ࠡ  ࠧ ᯠ?  ࠭ ஬  '' ࠭.\n\
࠭. ⠫᪠ ஡   뢠. -, ...\n\
誠 ⫥⥫ ⭮  ஢,  ஡ 믠 - 㬠  . \n\
 ⠬ ᠭ? ' ⥡'.\n\
 ? - 堭, 奬, ஢  騩  ...\n\n\
   .     । ஢    ᪮쪮 .\n\
 .  !\n\
  ⢥   ᪠뢠 ᪠  ,   类  ६ ᢮ ⢨ 頫  ﬨ ࠧ ६, ⨫  ஢    ஢ ६  ᢥ᪨ .  뫨 㢫⥫   ᪠  .  ⠪  ⭮ᨫ  ⨬ ᪠.\n\
  ४  ,   ᪠ 뫨 묨,   ਭ  ᫮ .  ,  ⠬ ମ 릨訩  㬠 ਪ?\n\n\
 ⮬  ய. 祧. ᥬ.\n\
 ⠪   諨.\n\
 ⥯  ஡.    ᢮ .   !\n\
  ⠬ 뢠 ?\n\n\
... ⮢ ᢮稢⥫ ࠭⢠  ६! ,  ⠪.\n\n\
 ⠫ 뭮ᨬ . ,  ,  ᨤ  ६. 㤠 ⠬ ⫥⥫ 誠? ,  .  ஡,     .\n\n\
 㦥 稭 - !\n\
 ⠬ 뫮... ᯥ   21 ?\n\
맮 ਭ!";

#endif
